/*Mobile style*/

.hero {
  padding: 0 35px 35px 25px;
  display: flex;
  flex-direction: column;
  color: var(--color-white);
}

.hero__image-cover {
  margin: 0 auto;
}

.hero__image {
  height: auto;
  max-width: 100%;
}

.hero__subtitle {
  margin: 10px 0 14px 0;
  font-size: 22px;
  font-weight: 500;
  line-height: 140%;
  letter-spacing: 2px;
  text-transform: uppercase;
}

.hero__title {
  margin-bottom: 14px;
  font-size: 36px;
  font-weight: 700;
  line-height: 100%;
  text-transform: uppercase;
}

.hero__offer {
  margin-bottom: 34px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.hero__offer-cut-price {
  font-size: 44px;
  font-weight: 700;
  line-height: 130%;
}

.hero__offer-separator {
  border-right: 2px solid var(--color-white);
  height: 50px;
}

.hero__offer-full-price {
  font-size: 31px;
  font-weight: 500;
  line-height: 140%;
  text-decoration-line: line-through;
  opacity: 0.7;
}

.hero__button {
  color: var(--color-red);
  background-color: var(--color-white);
  font-size: 22px;
  font-weight: 500;
  border-radius: 62px;
  border-color: var(--color-white);
  padding: 15px 30px;
  border-width: 0;
  width: 100%;
  cursor: pointer;
}


/*Tablet and desktop styles*/
@media screen and (min-width: 769px) {
  .hero {
    padding: 0 20px 100px 20px;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
  }

  .hero__image {
    margin-right: 55px;
  }

  .hero__content {
    max-width: 520px;
  }

  .hero__subtitle {
    margin-bottom: 5px;
  }

  .hero__title {
    font-size: 100px;
    margin-bottom: 45px;
  }

  .hero__offer {
    margin-bottom: 45px;
    justify-content: flex-start;
  }

  .hero__offer-separator {
    margin: 0 30px;
  }

  .hero__button {
    width: 190px;
  }
}

@media screen and (min-width: 769px) and (max-width: 1000px) {
  .hero__title {
    font-size: 5rem;
  }
}
